/***************************************************************************
 *  @file utility.c
 *
 *  @date   : 05-09-04
 *  @author : Pedro Ortega C. <peortega@dcc.uchile.cl>
 *  Copyright  2004  Pedro Ortega C.
 ****************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/******************/
/* Include files. */
/******************/

#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "file.h"



/************************/
/* Static declarations. */
/************************/

/**************************/
/* Static implementation. */
/**************************/

/************************************/
/* Public interface implementation. */
/************************************/

/**
 * @brief Converts seconds to sample index (256Hz).
 *
 * @param sec Seconds.
 * @return The index.
 */
size_t
sec2pos(float sec)
{
    return (size_t)(sec * 256);
}

/**
 * @brief Converts sample index (256Hz) to seconds.
 *
 * @param pos Sample index.
 * @return Seconds.
 */
float
pos2sec(size_t pos)
{
    return (float)((float)pos / 256.0f);
}

